// Simple surface
typedef struct
{
	int32_t Width;
	int32_t Height;
	uint32_t dataLen;

	// 32-bit BGRA pixel data
	uint32_t* ptrData;
	uint32_t** ptrRows;
} Surface;


// Prototypes
Surface*	EXPORT surfaceCreate 			(const uint32_t Width, const uint32_t Height);
Surface*    EXPORT surfaceReadFromPNG       (const char* fileName);
void		EXPORT surfaceDestroy			(Surface* Surf);
Surface*	EXPORT surfaceLoadFromPNG		(const char* fileName);
void		EXPORT surfaceFill				(const Surface* destSurf, const uint32_t Color);