// Bitplane context
typedef struct
{
	uint32_t	Width;
	uint32_t	Height;
	uint8_t		Planes;

	uint8_t*	ptrData;
	uint32_t	dataLen;
} Bitplane;


#define MASKMODE_NONE  0
#define MASKMODE_INDEX 1
#define MASKMODE_MASK  2


// Prototypes
Bitplane* EXPORT bitplaneCreate(const uint32_t Width, const uint32_t Height, const uint8_t Planes);
void EXPORT bitplaneDestroy(Bitplane* BP);