VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsBitStream"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
Option Compare Binary
Option Base 0


Public ptrBitStream As Long


' Size of this bitstream
Public Function Size() As Long

    Size = bitsSize(ptrBitStream)

End Function


' End of file reached?
Public Function EOF() As Boolean

    If bitsEOF(ptrBitStream) Then EOF = True

End Function


' Address of bitstream data
Public Function getAddress() As Long

    If ptrBitStream = 0 Then
        getAddress = -1
        Exit Function
    End If
    
    getAddress = bitsGetAddress(ptrBitStream)

End Function


' Open a file
Public Function fileOpen(ByVal fileName As String) As Boolean

    If Not FS.FileExists(fileName) Then Exit Function
        
    bitsDestroy ptrBitStream
    
    ptrBitStream = bitsOpenFile(fileName)
    If ptrBitStream = 0 Then Exit Function
    
    fileOpen = True

End Function


' Seek to a byte offset in a file
Public Sub seekTo(ByVal Address As Long)
    
    bitsSeek ptrBitStream, Address
    
End Sub


' Skip a number of bytes ahead in the stream
Public Sub skipBytes(ByVal Count As Long)

    bitsSkipBytes ptrBitStream, Count

End Sub


Public Function getInteger() As Integer

    getInteger = bitsGetShort(ptrBitStream)

End Function

Public Function getLong() As Long

    getLong = bitsGetInt(ptrBitStream)
    
End Function

Public Function getByte() As Byte
    
    getByte = bitsGetByte(ptrBitStream)

End Function


Public Function getBits(ByVal Count As Long) As Long

    getBits = bitsGetBits(ptrBitStream, Count)

End Function


' Class
Private Sub Class_Terminate()

    bitsDestroy ptrBitStream
    
    ptrBitStream = 0

End Sub
