VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsFont"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit
Option Compare Binary
Option Base 0


' Public properties
Public ptrFont As Long
Public charWidth As Long
Public charHeight As Long


' Load a font from a bitmap file
Public Function loadFromFile(ByVal fileName As String) As Boolean

    fontDestroy ptrFont

    ptrFont = fontLoad(fileName)
    If ptrFont = 0 Then Exit Function
    
    charWidth = fontGetCharWidth(ptrFont)
    charHeight = fontGetCharHeight(ptrFont)
    
    loadFromFile = True

End Function


' Return a pointer to the font's surface
Public Function getSurface() As Long

    getSurface = fontGetSurface(ptrFont)

End Function


' Class
Private Sub Class_Terminate()

    fontDestroy ptrFont
    
    ptrFont = 0

End Sub
